- Home
- API Enriched
- Shape
- shape
- Insight Event: Credential Stuffing Attack.
Insight Event: Credential Stuffing Attack.
const url = 'https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/shape/bot/namespaces/example/reporting/insight/credential-stuffing-attack';const options = { method: 'POST', headers: {Authorization: '<Authorization>', 'Content-Type': 'application/json'}, body: '{"date":"example","namespace":"example","region":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/shape/bot/namespaces/example/reporting/insight/credential-stuffing-attack \ --header 'Authorization: <Authorization>' \ --header 'Content-Type: application/json' \ --data '{ "date": "example", "namespace": "example", "region": "example" }'GET Insight Credential Stuffing Attack.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”Namespace
x-required Namespace.
Request Bodyrequired
Section titled “Request Bodyrequired”Insight Request.
object
Date Format: YYYY/MM/DD Required: YES.
Namespace Required: YES.
Region Required: YES.
Examplegenerated
{ "date": "example", "namespace": "example", "region": "example"}Responses
Section titled “Responses”A successful response.
Response for Credential Stuffing Attack.
object
The Number of Bad Bot Activity with Login Endpoint.
The Percentage for Bad Bot Activity with Login Endpoint.
UTC Create Date in seconds.
The percentage of the number of malicious bot traffic in mitigated / total malicious bot traffic count.
Time Series Graph Data.
The data for Timeseries Graph.
object
Human-readable name for the resource
Time Series Data.
Time Series Data.
object
Number of items or occurrences
Percentage.
UTC timestamp in seconds.
The Trend of Creadential Stuffing Attack.
Examplegenerated
{ "bad_bot_login": "example", "bad_bot_login_percentage": 1, "create_date": 1, "mitigated_percentage": 1, "time_series": [ { "name": "example", "time_series_data": [ { "count": "example", "percentage": 1, "timestamp": 1 } ] } ], "trend": 1}Returned when operation is not authorized.
Examplegenerated
exampleReturned when there is no permission to access resource.
Examplegenerated
exampleReturned when resource is not found.
Examplegenerated
exampleReturned when operation on resource is conflicting with current value.
Examplegenerated
exampleReturned when operation has been rejected as it is happening too frequently.
Examplegenerated
exampleReturned when server encountered an error in processing API.
Examplegenerated
exampleReturned when service is unavailable temporarily.
Examplegenerated
exampleReturned when server timed out processing request.
Examplegenerated
example